<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Schedule Supplier Review
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">
            <mat-tab-group class="tab-type-two is-parent-tab" [animationDuration]="'0'" dynamicHeight>
                <mat-tab label="Schedule Review">
                    <ng-template matTabContent>
                        <div class="mt-6">
                            <div>
                                <mat-form-field class="w-1/4 pr-2">
                                    <mat-label>Frequency</mat-label>
                                    <mat-select [value]="1">
                                        <mat-option [value]="1">
                                            Monthly
                                        </mat-option>
                                        <mat-option [value]="2">
                                            Quarterly
                                        </mat-option>
                                        <mat-option [value]="3">
                                            Semi Annually
                                        </mat-option>
                                        <mat-option [value]="4">
                                            Annually
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <mat-form-field class="w-1/4 px-2">
                                    <mat-label>Start Date</mat-label>
                                    <input matInput [matDatepicker]="picker1" formControlName="startDate">
                                    <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                                    <mat-datepicker #picker1></mat-datepicker>
                                </mat-form-field>
                                <mat-form-field class="w-1/4 px-2">
                                    <mat-label>Supplier</mat-label>
                                    <mat-select [value]="1">
                                        <mat-option [value]="1">
                                            ZXY Corporation
                                        </mat-option>
                                        <mat-option [value]="2">
                                            ZXY Corporation 2
                                        </mat-option>
                                        <mat-option [value]="3">
                                            ZXY Corporation 3
                                        </mat-option>
                                        <mat-option [value]="4">
                                            ZXY Corporation 4
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <mat-form-field class="w-1/4 pl-2">
                                    <mat-label>End Date</mat-label>
                                    <input matInput [matDatepicker]="picker2" formControlName="endDate">
                                    <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                                    <mat-datepicker #picker2></mat-datepicker>
                                </mat-form-field>
                            </div>
                            <p class="font-medium text-lg mb-2 mt-4">
                                Reviewers
                            </p>
                            <p class="font-medium text-base mb-2">
                                Would you like to select from users or user groups?
                            </p>
                            <mat-radio-group class="flex my-4" [color]="'primary'">
                                <mat-radio-button class="mb-2 mr-4" [value]="'01'" [checked]="true">
                                    Users
                                </mat-radio-button>
                                <mat-radio-button class="mb-2 mr-4" [value]="'02'" [checked]="false">
                                    User Groups
                                </mat-radio-button>
                            </mat-radio-group>
                            <!--table component-->
                            <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                                <div class="mr-4">
                                    <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-60 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                        <div class="text-secondary px-2" matPrefix>ID</div>
                                        <input matInput placeholder="Search by User ID" #input>
                                    </mat-form-field>
                                    <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                        <div class="text-secondary px-2" matPrefix>Name</div>
                                        <input matInput placeholder="Search by User Name" #input>
                                    </mat-form-field>

                                </div>

                                <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                                    <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                                    <span class="mr-8 ml-4">Search</span>
                                </button>
                            </div>
                            <p class="mt-6 font-medium w-3/5 text-l">
                                User/User Group List
                            </p>
                            <p class="text-secondary text-sm mb-2">
                                Select the intended user/ user group you would like to trigger the form to be filled out
                            </p>

                            <!--base table component-->
                            <div class="overflow-auto bg-gray-50 rounded-lg">
                                <table mat-table [dataSource]="dataSource2" matSort class="expanded-rows-table font-helvetica text-gray-500">

                                    <!-- ID Column -->
                                    <ng-container matColumnDef="index">
                                        <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width :50px"></th>
                                        <td mat-cell *matCellDef="let row">
                                            <mat-checkbox [color]="'primary'"></mat-checkbox>
                                        </td>
                                    </ng-container>

                                    <!-- Team Column -->
                                    <ng-container matColumnDef="id">
                                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                                            User ID
                                        </th>
                                        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
                                    </ng-container>

                                    <!-- Description Column -->
                                    <ng-container matColumnDef="name">
                                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 180px; min-width: 150px">
                                            User Name
                                        </th>
                                        <td mat-cell *matCellDef="let row"> {{row.name}} </td>
                                    </ng-container>


                                    <tr mat-header-row *matHeaderRowDef="displayedColumn2"></tr>
                                    <tr mat-row *matRowDef="let row; columns: displayedColumn2;"></tr>

                                    <!-- Row shown when there is no matching data. -->
                                    <tr class="mat-row" *matNoDataRow>
                                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                                    </tr>
                                </table>
                            </div>
                            <!--table component end-->
                            <div class="mt-6 ml-2">
                                <mat-checkbox [color]="'primary'">Pull substitute from IFS in case of vacation or out of office</mat-checkbox>
                            </div>
                        </div>
                    </ng-template>
                </mat-tab>
                <mat-tab label="Name & Form Selection">
                    <ng-template matTabContent>
                        <div class="flex mt-6">
                            <mat-form-field class="w-1/3 pr-2">
                                <mat-label>Evaluation ID</mat-label>
                                <input matInput disabled value="EID 180345"/>
                            </mat-form-field>
                            <mat-form-field class="w-1/3 px-2">
                                <mat-label>Evaluation Name</mat-label>
                                <input matInput />
                            </mat-form-field>
                            <mat-form-field class="w-1/3 pl-2">
                                <mat-label>Evaluation Details</mat-label>
                                <input matInput />
                            </mat-form-field>
                        </div>
                        <div class="flex mt-6">
                            <mat-form-field class="w-1/3 pr-2">
                                <mat-label>Select the Required Form</mat-label>
                                <mat-select [value]="1">
                                    <mat-option [value]="1">
                                        Supplier Review Form Type 1
                                    </mat-option>
                                    <mat-option [value]="2">
                                        Supplier Review Form Type 2
                                    </mat-option>
                                    <mat-option [value]="3">
                                        Supplier Review Form Type 3
                                    </mat-option>
                                    <mat-option [value]="4">
                                        Supplier Review Form Type 4
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </ng-template>
                </mat-tab>
                <mat-tab label="Grading Method Selection">
                    <ng-template matTabContent>
                        <div class="flex flex-col mt-6">
                            <div class="method-item">
                                <div>
                                    <mat-radio-button color="primary" class="mb-2 mr-4 ml-2" name="method" [value]="'01'" [checked]="true">
                                        Method A - Simple Average
                                        <p class="text-secondary text-sm whitespace-pre-line">Every reviewer will contribute equally for the final average score</p>
                                    </mat-radio-button>
                                </div>
                                <div class="srm-bg rounded-lg m-6 mt-2 p-4">
                                    <p class="font-medium text-sm mb-2 ml-2">
                                        Example Review Outcome scenario
                                    </p>
                                    <div class="overflow-auto">
                                        <table class="custom-table-component expanded-rows-table font-helvetica text-gray-500">
                                            <tr>
                                                <th style="width: 100px;">Reviewer</th>
                                                <th style="width: 100px;">Score</th>
                                                <th style="width: 100px;">Contribution %</th>
                                                <th style="width: 100px;">Contributed Score</th>
                                                <th style="width: 200px;">Final Average</th>
                                                <th style="width: 150px;">Final Grade</th>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 1</td>
                                                <td>80%</td>
                                                <td>28%</td>
                                                <td>10%</td>
                                                <td rowspan="100">43% (10% + 11%+ 12%+ 10%)</td>
                                                <td rowspan="100"><span class="font-semibold">Recommended</span></td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 2</td>
                                                <td>88%</td>
                                                <td>20%</td>
                                                <td>11%</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 3</td>
                                                <td>81%</td>
                                                <td>22%</td>
                                                <td>12%</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 4</td>
                                                <td>85%</td>
                                                <td>25%</td>
                                                <td>10%</td>
                                            </tr>
                                            <tfoot>
                                                <tr>
                                                    <td></td>
                                                    <td></td>
                                                    <td>100%</td>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="method-item">
                                <div>
                                    <mat-radio-button color="primary" class="mb-2 mr-4 ml-2" name="method" [value]="'01'" [checked]="false">
                                        Method B - Weighted Average
                                        <p class="text-secondary text-sm whitespace-pre-line">Different reviewers contribute differently to the final average score</p>
                                    </mat-radio-button>
                                </div>
                                <div class="srm-bg rounded-lg m-6 mt-2 p-4">
                                    <p class="font-medium text-sm mb-2 ml-2">
                                        Example Review Outcome scenario
                                    </p>
                                    <div class="overflow-auto">
                                        <table class="custom-table-component expanded-rows-table font-helvetica text-gray-500">
                                            <tr>
                                                <th style="width: 100px;">Reviewer</th>
                                                <th style="width: 100px;">Score</th>
                                                <th style="width: 100px;">Contribution %</th>
                                                <th style="width: 100px;">Contributed Score</th>
                                                <th style="width: 200px;">Final Average</th>
                                                <th style="width: 150px;">Final Grade</th>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 1</td>
                                                <td>80%</td>
                                                <td>28%</td>
                                                <td>10%</td>
                                                <td rowspan="100">43% (10% + 11%+ 12%+ 10%)</td>
                                                <td rowspan="100"><span class="font-semibold">Recommended</span></td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 2</td>
                                                <td>88%</td>
                                                <td>20%</td>
                                                <td>11%</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 3</td>
                                                <td>81%</td>
                                                <td>22%</td>
                                                <td>12%</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 4</td>
                                                <td>85%</td>
                                                <td>25%</td>
                                                <td>10%</td>
                                            </tr>
                                            <tfoot>
                                            <tr>
                                                <td></td>
                                                <td></td>
                                                <td>100%</td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                            </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="method-item">
                                <div>
                                    <mat-radio-button color="primary" class="mb-2 mr-4 ml-2" name="method" [value]="'01'" [checked]="false">
                                        Method C - Min Grade Threshold
                                        <p class="text-secondary text-sm whitespace-pre-line">If any reviewer has given a  score below the Min Grade Threshold, Supplier is not Recommended</p>
                                    </mat-radio-button>
                                </div>
                                <div class="srm-bg rounded-lg m-6 mt-2 p-4">
                                    <p class="font-medium text-sm mb-2 ml-2">
                                        Example Review Outcome scenario
                                    </p>
                                    <div class="overflow-auto">
                                        <table class="custom-table-component expanded-rows-table font-helvetica text-gray-500">
                                            <tr>
                                                <th style="width: 100px;">Reviewer</th>
                                                <th style="width: 100px;">Score</th>
                                                <th style="width: 200px;">Min Grade Threshold</th>
                                                <th style="width: 150px;">Final Grade</th>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 1</td>
                                                <td>80%</td>
                                                <td rowspan="100">50%</td>
                                                <td rowspan="100"><span class="font-semibold">Not Recommended</span></td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 2</td>
                                                <td>88%</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 3</td>
                                                <td>81%</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 4</td>
                                                <td>85%</td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="method-item">
                                <div>
                                    <mat-radio-button color="primary" class="mb-2 mr-4 ml-2" name="method" [value]="'01'" [checked]="false">
                                        Method D - Grade Range
                                        <p class="text-secondary text-sm whitespace-pre-line">Supplier recommendation based on majority of scores falling within a considered Grade Range. If equal for 2 categories or more highest category will prevail</p>
                                    </mat-radio-button>
                                </div>
                                <div class="srm-bg rounded-lg m-6 mt-2 p-4">
                                    <p class="font-medium text-sm mb-2 ml-2">
                                        Example Review Outcome scenario
                                    </p>
                                    <div class="overflow-auto">
                                        <table class="custom-table-component expanded-rows-table font-helvetica text-gray-500">
                                            <tr>
                                                <th style="width: 100px;">Reviewer</th>
                                                <th style="width: 100px;">Score</th>
                                                <th style="width: 350px;">Grade Categories</th>
                                                <th style="width: 100px;">Category</th>
                                                <th style="width: 150px;">Final Grade</th>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 1</td>
                                                <td>80%</td>
                                                <td rowspan="100">
                                                    <div class="grid grid-cols-6 gap-x-4 gap-y-4 ml-auto font-semibold">
                                                        <span class="col-span-3">Highly Recommended(HR)</span>
                                                        <span>100%</span>
                                                        <span>To</span>
                                                        <span>85%</span>

                                                        <span class="col-span-3">Recommended(R)</span>
                                                        <span>84%</span>
                                                        <span>To</span>
                                                        <span>41%</span>

                                                        <span class="col-span-3">Not Recommended(NR)</span>
                                                        <span>40%</span>
                                                        <span>To</span>
                                                        <span>0%</span>
                                                    </div>
                                                </td>
                                                <td>R</td>
                                                <td rowspan="100"><span class="font-semibold">Recommended</span></td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 2</td>
                                                <td>88%</td>
                                                <td>R</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 3</td>
                                                <td>81%</td>
                                                <td>HR</td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 4</td>
                                                <td>85%</td>
                                                <td>R</td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </mat-tab>
                <mat-tab label="Grading Method Outcome">
                    <ng-template matTabContent>
                        <div class="flex mt-6">
                            <div class="method-item">
                                <div>
                                    <mat-checkbox color="primary" class="mb-2 ml-2" name="method" [value]="'01'" [checked]="false">
                                        Enable Supplier Block
                                        <p class="text-secondary text-sm">Allow SRM analysts to send a block signal to IFS to block a supplier based on Final Grade</p>
                                    </mat-checkbox>
                                </div>
                                <div class="srm-bg rounded-lg m-6 mt-2 p-4">
                                    <p class="font-medium text-sm mb-2 ml-2">
                                        Example Review Outcome scenario
                                    </p>
                                    <div class="overflow-auto">
                                        <table class="custom-table-component expanded-rows-table font-helvetica text-gray-500">
                                            <tr>
                                                <th style="width: 100px;">Reviewer</th>
                                                <th style="width: 100px;">Contribution %</th>
                                                <th style="width: 300px;">Grade Categories</th>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 1</td>
                                                <td>
                                                    <mat-form-field class="standalone-input maxi-w-100">
                                                        <input matInput value="40%"/>
                                                    </mat-form-field>
                                                </td>
                                                <td rowspan="100">
                                                    <div class="flex flex-col font-semibold p-2">

                                                        <div class="grid grid-cols-6 gap-x-4 gap-y-1 ml-auto font-semibold items-center">
                                                            <span class="col-span-3">Highly Recommended(HR)</span>
                                                            <span>100%</span>
                                                            <span>To</span>
                                                            <span>
                                                                <mat-form-field class="standalone-input maxi-w-100">
                                                                    <input matInput value="85%"/>
                                                                </mat-form-field>
                                                            </span>

                                                            <span class="col-span-3">Recommended(R)</span>
                                                            <span>84%</span>
                                                            <span>To</span>
                                                            <span>41%</span>

                                                            <span class="col-span-3">Not Recommended(NR)</span>
                                                            <span>
                                                                <mat-form-field class="standalone-input maxi-w-100">
                                                                    <input matInput value="40%"/>
                                                                </mat-form-field>
                                                            </span>
                                                            <span>To</span>
                                                            <span>0%</span>
                                                        </div>




                                                    </div>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 2</td>
                                                <td>
                                                    <mat-form-field class="standalone-input maxi-w-100">
                                                        <input matInput value="20%"/>
                                                    </mat-form-field>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 3</td>
                                                <td>
                                                    <mat-form-field class="standalone-input maxi-w-100">
                                                        <input matInput value="20%"/>
                                                    </mat-form-field>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Reviewer 4</td>
                                                <td>
                                                    <mat-form-field class="standalone-input maxi-w-100">
                                                        <input matInput value="20%"/>
                                                    </mat-form-field>
                                                </td>
                                            </tr>
                                            <tfoot>
                                            <tr>
                                                <td></td>
                                                <td>100%</td>
                                                <td></td>
                                            </tr>
                                            </tfoot>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </mat-tab>

            </mat-tab-group>

            <div class="flex flex-col justify-start mt-5">
                <div class="flex align-center text-warn font-medium mb-2" *ng  If="iserror">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                    <span>{{'Successfully saved'}}</span>
                </div>
                <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                    <span>{{'Something went wrong'}}</span>
                </div>
            </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" (click)="viewSummary()" type="submit">
                <span class="mx-4">Next</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
